"""This is a test module"""
import sys
def print_lol(the_list, indent= False, level=0, fh=sys.stdout):
	"""This module prints each data item in lists and sublists recursively.
It takes a positional argument called the_list, which is any Python list.
A second argument called level is used to insert tab-stops when a nested list is encountered """
	for each_item in the_list:
		if isinstance(each_item, list):
			print_lol(each_item, indent, level+1, fh)
		else:
			if indent:
				for tab_stop in range(level):
					print("\t", end='', file=fh)
			print(each_item, file=fh)
